# Uses of Interface
java.awt.im.InputMethodRequests

Packages that use InputMethodRequests
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.im.spi
Provides interfaces that enable the development of input methods that can be used with any Java runtime environment.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of InputMethodRequests in java.awt

Methods in java.awt that return InputMethodRequests
Modifier and Type
Method
Description
`InputMethodRequests`
Component.`getInputMethodRequests()`
Gets the input method request handler which supports requests from input methods for this component.

## Uses of InputMethodRequests in java.awt.im.spi

Subinterfaces of InputMethodRequests in java.awt.im.spi
Modifier and Type
Interface
Description
`interface`
`InputMethodContext`
Provides methods that input methods can use to communicate with their client components or to request other services.

## Uses of InputMethodRequests in javax.swing.text

Methods in javax.swing.text that return InputMethodRequests
Modifier and Type
Method
Description
`InputMethodRequests`
JTextComponent.`getInputMethodRequests()`